curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-wefunder-companies-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"max_items": 2
}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-wefunder-companies-search"
payload = { "max_items": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-wefunder-companies-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "wefunder_companies_search",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# WeFunder — companies\n\n- **Query:** all\n- **Results:** 2 of 5159 found\n- **Proxy traffic:** 108.9 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "choicetrade",
"name": "ChoiceTrade Holdings",
"url": "https://wefunder.com/choicetrade",
"company_id": 29841,
"alias": "choicetrade",
"legal_name": "ChoiceTrade Holdings, Inc.",
"tagline": "Implementing new technologies in the digital financial universe",
"description": null,
"fact": "First online broker to have private startup and crypto, secondary market for shareholders of startup companies, and Robo Trading technologies on one platform.",
"image": "https://uploads.wefunder.com/uploads/company/logo/29841/xxl_cropped_Logo.jpg",
"cover_image": null,
"card_image": null,
"video_url": null,
"region": null,
"city": "San Juan",
"state": "San Juan",
"country": "San Juan",
"geo_lat": 18.465299,
"geo_lng": -66.116666,
"currency": "USD",
"security_type": null,
"status": null,
"status_tier": 2,
"label": null,
"is_fund": false,
"follower_count": 315,
"pre_money_valuation": null,
"early_bird_valuation": null,
"valuation_terms": null,
"total_raised_this_campaign": 0,
"total_investor_count_this_campaign": 0,
"funding_amount": 0,
"percent_funded": 0,
"past_funding": 414545,
"annual_revenue": null,
"cash_in_bank": null,
"investor_count": 0,
"age_in_months": 125,
"funding_amount_past_week": 0,
"funding_amount_past_month": 0,
"quality_score": 14.93303674182471,
"fundraise_host": "Wefunder Portal LLC",
"created_at": "2018-09-06T16:31:53.000Z",
"funding_started_at": null,
"funding_closed_at": "2106-02-07T06:28:16.000Z",
"funding_closing_at": null,
"founder": {
"name": "Neville Golvala",
"title": "CEO",
"bio": "20+ years in Fintech. Managing Dir., Nat'l Discount Brokers. Grew from $100M to $1B during tenure.",
"image": "https://uploads.wefunder.com/uploads/company_role/custom_photo/324850/square_cropped_ct-icon-RGB-LG.jpg?1688061032"
},
"industries": [],
"tags": [
"technology",
"infrastructure"
]
},
"items": [
{
"id": "choicetrade",
"name": "ChoiceTrade Holdings",
"url": "https://wefunder.com/choicetrade",
"company_id": 29841,
"alias": "choicetrade",
"legal_name": "ChoiceTrade Holdings, Inc.",
"tagline": "Implementing new technologies in the digital financial universe",
"description": null,
"fact": "First online broker to have private startup and crypto, secondary market for shareholders of startup companies, and Robo Trading technologies on one platform.",
"image": "https://uploads.wefunder.com/uploads/company/logo/29841/xxl_cropped_Logo.jpg",
"cover_image": null,
"card_image": null,
"video_url": null,
"region": null,
"city": "San Juan",
"state": "San Juan",
"country": "San Juan",
"geo_lat": 18.465299,
"geo_lng": -66.116666,
"currency": "USD",
"security_type": null,
"status": null,
"status_tier": 2,
"label": null,
"is_fund": false,
"follower_count": 315,
"pre_money_valuation": null,
"early_bird_valuation": null,
"valuation_terms": null,
"total_raised_this_campaign": 0,
"total_investor_count_this_campaign": 0,
"funding_amount": 0,
"percent_funded": 0,
"past_funding": 414545,
"annual_revenue": null,
"cash_in_bank": null,
"investor_count": 0,
"age_in_months": 125,
"funding_amount_past_week": 0,
"funding_amount_past_month": 0,
"quality_score": 14.93303674182471,
"fundraise_host": "Wefunder Portal LLC",
"created_at": "2018-09-06T16:31:53.000Z",
"funding_started_at": null,
"funding_closed_at": "2106-02-07T06:28:16.000Z",
"funding_closing_at": null,
"founder": {
"name": "Neville Golvala",
"title": "CEO",
"bio": "20+ years in Fintech. Managing Dir., Nat'l Discount Brokers. Grew from $100M to $1B during tenure.",
"image": "https://uploads.wefunder.com/uploads/company_role/custom_photo/324850/square_cropped_ct-icon-RGB-LG.jpg?1688061032"
},
"industries": [],
"tags": [
"technology",
"infrastructure"
]
},
{
"id": "airthium",
"name": "Airthium (YC S17)",
"url": "https://wefunder.com/airthium",
"company_id": 64712,
"alias": "airthium",
"legal_name": "Airthium Inc.",
"tagline": "Every product you own was made with heat. We’re making that heat electric",
"description": null,
"fact": "$6.5M+ raised from Y Combinator, DCVC, Daphni VC, Polytechnique Ventures & 2000+ retail investors",
"image": "https://uploads.wefunder.com/uploads/company/logo/64712/xxl_avatar.jpg",
"cover_image": null,
"card_image": null,
"video_url": "https://dcd73ta2suabk.cloudfront.net/12hkbbinokybxzlq4mblpzyojbrj",
"region": null,
"city": "Bee Cave",
"state": "TX",
"country": "United States",
"geo_lat": 30.3089,
"geo_lng": -97.94018,
"currency": "USD",
"security_type": "equity",
"status": "fundraising",
"status_tier": 0,
"label": null,
"is_fund": false,
"follower_count": 2763,
"pre_money_valuation": "$25M",
"early_bird_valuation": "$21M",
"valuation_terms": "post-money valuation cap",
"total_raised_this_campaign": 465641,
"total_investor_count_this_campaign": 379,
"funding_amount": 465641,
"percent_funded": 45,
"past_funding": 9652477,
"annual_revenue": 1519556,
"cash_in_bank": 677715,
"investor_count": 2760,
"age_in_months": 114,
"funding_amount_past_week": 13700,
"funding_amount_past_month": 42492,
"quality_score": 14.73784815894411,
"fundraise_host": "Wefunder Portal LLC",
"created_at": "2020-07-17T12:19:39.000Z",
"funding_started_at": "2026-06-10T21:36:01.000Z",
"funding_closed_at": "2026-11-21T04:59:59.000Z",
"funding_closing_at": null,
"founder": {
"name": "Andrei Klochko",
"title": "Co-Founder, CEO & CSO",
"bio": "Creator of the engine at the core of Airthium’s technology. PhD in plasma physics. Mechanical engineering from École Polytechnique. Designed the proprietary compression cycle that no competitor has re",
"image": "https://uploads.wefunder.com/uploads/company_role/custom_photo/3663735/square_avatar.jpg?1772480699"
},
"industries": [
"hardware",
"clean_tech"
],
"tags": [
"technology",
"hardware"
]
}
],
"total_found": 5159,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 111557
},
"total_points": 2
}WeFunder companies search
Browse WeFunder campaigns by status, instrument and industry / highlight tags: name, tagline, raise progress, investors, valuation terms, founder and link. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Status. Options: fundraising = Fundraising, funded = Funded
fundraising, funded Instrument. Options: equity = Equity, safe = SAFE, revenue_share = Revenue share, debt = Debt (convertible note)
equity, safe, revenue_share, debt Industries (comma-separated). e.g. technology, b2b
Highlights (comma-separated). e.g. venture_backed, repeat_founder
Sort. Options: trending = Trending
trending Max items (up to 250)
1 <= x <= 250Starting page
x >= 1Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.